<?php

namespace Pterodactyl\Http\Controllers\Api\Application\Nodes;

use Pterodactyl\Models\Node;
use Illuminate\Http\JsonResponse;
use Pterodactyl\Http\Requests\Api\Application\Nodes\GetNodeRequest;
use Pterodactyl\Http\Controllers\Api\Application\ApplicationApiController;

class NodeConfigurationController extends ApplicationApiController
{
    /**
     * Returns the configuration information for a node. This allows for automated deployments
     * to remote machines so long as an API key is provided to the machine to make the request
     * with, and the node is known.
     *
     * @param \Pterodactyl\Http\Requests\Api\Application\Nodes\GetNodeRequest $request
     * @param \Pterodactyl\Models\Node $node
     * @return \Illuminate\Http\JsonResponse
     */
    public function __invoke(GetNodeRequest $request, Node $node)
    {
        return new JsonResponse($node->getConfiguration());
    }
}
